petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscBoxRefresh

Get a new authorization token for accessing Box drive from PETSc from a refresh token

### Synopsis

    PetscErrorCode PetscBoxRefresh(MPI_Comm comm,const char refresh_token[],char access_token[],char new_refresh_token[],size_t tokensize)

Not collective, only the first process in the MPI_Comm does anything

### Input Parameters

| comm | - MPI communicator
| refresh token | - obtained with PetscBoxAuthorize(), if NULL PETSc will first look for one in the options data if not found it will call PetscBoxAuthorize()
| tokensize | - size of the output string access_token

### Output Parameter

| access_token | - token that can be passed to PetscBoxUpload()
| new_refresh_token | - the old refresh token is no longer valid, not this is different than Google where the same refresh_token is used forever

### See Also

PetscURLShorten(), PetscBoxAuthorize(), PetscBoxUpload()

### Level

intermediate

### Location

src/sys/webclient/box.c

### Examples

src/sys/webclient/examples/tutorials/boxupload.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages